/**
 * ActClassFinancialContract.java
 *
 * File generated from the medication::ActClassFinancialContract uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassFinancialContract.
 *
 * 
 */

@XmlType(name = "ActClassFinancialContract")
@XmlEnum
@XmlRootElement(name = "ActClassFinancialContract")
public enum ActClassFinancialContract {
	@XmlEnumValue("FCNTRCT")
	FCNTRCT("FCNTRCT"),
	@XmlEnumValue("COV")
	COV("COV");
	
	private final String value;

    ActClassFinancialContract(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static ActClassFinancialContract fromValue(String v) {
        for (ActClassFinancialContract c: ActClassFinancialContract.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}